boinccmd(1)

SYNOPSIS

boinccmd boinccmd [--host hostname] [--passwd passwd] --command

DESCRIPTION
boinccmd issues a command to the running BOINC client core, which should already be running as a background daemon. See boinc_client(1) for more information about the core client.

COMMAND OPTIONS
These command-line commands for boinccmd can be used to control the running core client.

  Core Client Connection
Controlling the connection to the core client:

--host hostname[:port]
    The host to connect to (default: localhost) .

--passwd
    The password for RPC authentication (default: boinccmd will look for a file named gui_rpc_auth.cfg in the current directory and use the password it contains).

  Account Query and Attach
Query or control account information for the core client:

--lookup_account URL email password
    Look up account and print account key. [New in 5.8.16]

--create_account URL email password name
    Create account with the given email address, password, and user name.

--project_attach URL auth
    Attach the core client to the project associated with the URL, using the authentication token (account key)

--join_acct_mgr URL name password
    Attach to an account manager (or do RPC if already attached). [ New in 5.10]

--quit_acct_mgr
    Detach from the current account manager. [New in 5.10]

  State Queries
Querying the core client for information about its current running state:

--get_state
    Show complete client state

--get_results
    Show results

--get_simple_gui_info
    Show projects and active results

--get_file_transfers
    Show file transfers

--get_project_status
    Show status of all projects

--get_disk_usage
    Show disk usage by project

--get_proxy_settings
    Get proxy settings

--get_messages seqno
    Show messages with sequence numbers beyond the given seqno

--get_host_info
    Show host info

--get_screensaver_mode
    Return the current screensaver mode (is it active or not?)

--version, -V
    Show core client software version.

  Control Operations
Controlling the core client:

--result URL result_name operation
    Perform an operation on a Result, identified by the project master URL and the Result name. Operations:

    suspend - temporarily stop work on the Result

    resume - allow work on result

    abort: permanently stop work on result

    graphics_window - open graphics in a window. The optional desktop/window_station (Windows) or display (X11) arguments specify the display.

    graphics_fullscreen - open graphics fullscreen

--project URL operation
     Do operation on a project, identified by its master URL. Operations:

    reset - delete current work and get more;

    detach - delete current work and don't get more;

    update - contact scheduling server;

    suspend - stop work for project;

    result - resume work for project;

    nomorework - finish current work but don't get more;

    allowmorework - undo nomorework

    detach_when_done - detach project

--set_proxy_settings http_server_name http_server_port http_user_name http_user_passwd socks_server_name socks_server_port socks_version socks5_user_name socks5_user_passwd
    Set proxy settings (all fields are mandatory)

--run_benchmarks
    Run CPU benchmarks

--set_screensaver_mode on|off blank_time [ --display display ]
    Tell the core client to start or stop doing fullscreen graphics, and going to black after blank_time seconds. The optional arguments specify which desktop/windows_station (Windows) or display (X11) to use.

--read_global_prefs_override
    Tell the core client to read the global_prefs_override.xml file, and incorporate any global preferences indicated there.

--quit
    Tell the core client to quit

--read_cc_config
    Reread the configuration file (cc_config.xml)

--set_debts URL1 STD1 LTD1 [ URL2 STD2 LTD2 ... ]
    Set the short- and long-term debts of one or more projects. Note: if you adjust the debts of a single project, the debts of other projects are changed. So if you want to set the debts of multiple projects, do it in a single command. [New in 5.10.11]

  Miscellaneous

--help, -h
    Show options and commands

SEE ALSO
boinc(1), boinc_client(1), boincmgr(1).

VERSION
Revision Number: 5.10.21-18
Release Date: 29 Dec 2007